//package pay.platform.api.system.controller;
//
//import com.mybatisflex.core.paginate.Page;
//import io.swagger.v3.oas.annotations.Operation;
//import io.swagger.v3.oas.annotations.Parameter;
//import io.swagger.v3.oas.annotations.Parameters;
//import io.swagger.v3.oas.annotations.tags.Tag;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//import pay.platform.api.system.servcie.PayAggregationService;
//import pay.platform.domain.PayAggregation;
//
//import java.io.Serializable;
//import java.util.List;
//
///**
// * 聚合支付 控制层。
// *
// * @author mybatis-flex-helper automatic generation
// * @since 1.0
// */
//@RestController
//@RequestMapping("/sys/pay/aggregation")
//@Tag(name = "聚合支付控制层")
//public class PayAggregationController {
//
//    @Autowired
//    private PayAggregationService payAggregationService;
//
//    /**
//     * 添加 聚合支付
//     *
//     * @param PayAggregation 聚合支付
//     * @return {@code true} 添加成功，{@code false} 添加失败
//     */
//    @PostMapping("/save")
//    @Operation(summary = "添加聚合支付")
//    public boolean save(@RequestBody PayAggregation PayAggregation) {
//        return payAggregationService.savePayAggregation(PayAggregation);
//    }
//
//
//    /**
//     * 根据主键删除聚合支付
//     *
//     * @param id 主键
//     * @return {@code true} 删除成功，{@code false} 删除失败
//     */
//    @DeleteMapping("/remove/{id}")
//    @Operation(summary = "根据主键删除聚合支付")
//    @Parameters(value = {
//            @Parameter(name = "id", description = "id", required = true)
//    })
//    public boolean remove(@PathVariable Serializable id) {
//        return payAggregationService.removeById(id);
//    }
//
//
//    /**
//     * 根据主键更新聚合支付
//     *
//     * @param PayAggregation 聚合支付
//     * @return {@code true} 更新成功，{@code false} 更新失败
//     */
//    @PutMapping("/update")
//    @Operation(summary = "根据主键更新聚合支付")
//    public boolean update(@RequestBody PayAggregation PayAggregation) {
//        return payAggregationService.updateById(PayAggregation);
//    }
//
//
//    /**
//     * 查询所有聚合支付
//     *
//     * @return 所有数据
//     */
//    @GetMapping("/list")
//    @Operation(summary = "查询所有聚合支付")
//    public List<PayAggregation> list() {
//        return payAggregationService.list();
//    }
//
//
//    /**
//     * 根据聚合支付主键获取详细信息。
//     *
//     * @param id PayAggregation主键
//     * @return 聚合支付详情
//     */
//    @GetMapping("/getInfo/{id}")
//    @Operation(summary = "根据聚合支付主键获取详细信息")
//    @Parameters(value = {
//            @Parameter(name = "id", description = "id", required = true)
//    })
//    public PayAggregation getInfo(@PathVariable Serializable id) {
//        return payAggregationService.getById(id);
//    }
//
//
//    /**
//     * 分页查询聚合支付
//     *
//     * @param page 分页对象
//     * @return 分页对象
//     */
//    @GetMapping("/page")
//    @Operation(summary = "分页查询聚合支付")
//    @Parameters(value = {
//            @Parameter(name = "pageNumber", description = "页码", required = true),
//            @Parameter(name = "pageSize", description = "每页大小", required = true)
//    })
//    public Page<PayAggregation> page(Page<PayAggregation> page) {
//        return payAggregationService.page(page);
//    }
//}