package pay.platform.api.system.model.vo;

import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 平台配置 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "平台配置")
@Table(value = "t_pay_platform_setting")
public class PayPlatformSettingVO implements Serializable {

    /**
     * id
     */
    @Schema(description = "id")
    private String id;

    /**
     * 服务商ID
     */
    @Schema(description = "服务商ID")
    private String serviceId;

    /**
     * 密钥
     */
    @Schema(description = "密钥")
    private String privateKey;

    /**
     * 公钥
     */
    @Schema(description = "公钥")
    private String publicKey;

    /**
     * 状态
     */
    @Schema(description = "状态 ")
    private Integer status;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    private LocalDateTime updateTime;
}
