package pay.platform.core.enums;

import lombok.Getter;

/**
 * 菜单类型
 */
@Getter
public enum MenuTypeEnums implements ValueEnum<Integer> {

    dir("目录", 0),

    menu("菜单", 1),

    permission("权限", 2);

    /**
     * 名称
     */
    private final String name;
    /**
     * 值
     */
    private final Integer value;

    MenuTypeEnums(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    @Override
    public Integer getValue() {
        return value;
    }
}
