package pay.platform.core.utils;


import cn.hutool.crypto.digest.MD5;

import java.util.TreeMap;

/**
 *
 **/
public class SignUtil {
    /**
     * 自然排序法签名
     *
     * @param signKey
     * @param sortedMap
     * @return
     */
    public static String getSign(String signKey, TreeMap<String, String> sortedMap) {

        String resultStr = "";

        for (String key : sortedMap.keySet()) {
            if (key != null && key != "" && key != "sign") {
                resultStr = resultStr + sortedMap.get(key);
            }
        }

        resultStr = signKey + resultStr;
        // 返回32个字符长度的十六进制字符串
        return MD5.create().digestHex(resultStr).toLowerCase();

    }
}
